零基础建站培训教程介绍

当前位置:

wordpress安装出现cannot modify header information 错误的解决方法

最近有学员问我wordpress安装的时候,出现cannot modify header information – headers already sent by (……)的错误,开始以为是版本问题,于是换了一个版本去测试,还是这个问题。后来用英文的版本装,结果成功了。

那么英文和中文的版本有哪里不一样呢,想到最后发现只有编码格式的区别了。

于是在wp-config.php这个配置文件上下手,用ultraedit或者其他文本编辑工具打开,然后直接另存为,编码选择为ANSI/ASC||,然后保存,上传到FTP,安装就成功了。

大部分的时候安装WP应该是没有问题的,程序本身很少出问题,所以如果安装的时候有问题,第一种情况就是编码格式问题,第二种情况就是FTP上传的方式有 问题,可以选择以二进制方式上传,第三种可能就是网络问题,造成上传文件损坏啦。注意这3个问题,基本可以让你的wordpress顺利安装。

发表评论

电子邮件地址不会被公开。 必填项已用*标注

相关教程

  1. WordPress网站如何设置符合SEO的标题
  2. WordPress多重筛选、多条件搜索功能制作
  3. WordPress搜索框如何屏蔽恶意关键词搜索
  4. wordpress网站导航不显示分类目录
  5. WordPress父分类调用子分类名称和文章列表
  6. 在WordPress网站文章中调用另一个页面内容
  7. wordpress5.0版本如何更换编辑器
  8. wordpress实现游客隐藏、会员可见全部内容
  9. wordpress文章自动生成tag标签
  10. wordpress如何调用某一个分类下的热门文章(热评文章)
学做网站论坛零基础学建网站课程